// This file is part of the RecrutNid projet.
//
// (c) 2002, Free Software Foundation
//
// RecrutNid is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// RecrutNid is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with RecrutNid; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
// Petit programme de modlisation de la mobilisation chez la fourmi 
// Plus d'informations sur http://www.nojhan.fr.st/
// Auteur : Johann Dro <nojhan@ifrance.com>
// Date : 4 dcembre 2001
// version : 1.5

/////////////////////////////////// RECRUTNID //////////////////////////////////

#include <iostream>
// cout, cin, <<, >>
#include <vector>
// vector<>
#include <cstdlib>
// system(), rand()
#include <ctime>
// time()
#include <cstdio>
// remove()
#include <string>
// string
#include <cmath>
// sqrt(), log()

//////////////////////////////// CLASSES PERSOS ////////////////////////////////
// hierarchie :
// itsNest > itsBaseAnt

#include "itsBaseAnt.h"
// class itsBaseAnt

#include "itsNest.h"
// class itsNest

#include "itsScript.h"
// class itsScript

////////////////////////////////// FONCTIONS ///////////////////////////////////
using namespace std; // iostream

///////////////////////////////////// MAIN /////////////////////////////////////
int main(int argc, char *argv[])
{

/* appel : RecrutNid-v3.exe ScriptFileName SaveFileName [Options]*/
    if (argc<2) { // si pas assez d'arguments
        cout << "<!> Nombre d'argument incorrect, syntaxe :" << endl;
        cout << "    RecrutNid-v3.exe ScriptFileName" << endl;
        cout << "- Fin -" <<endl;
        system("PAUSE");
        return 1;
    }

    string ScriptFileName;
           ScriptFileName = argv[1]; // fichier d'entre (script)

    srand( time(NULL) ); // ini gnrateur nb alatoires

    // lance l'xcution
    itsScript TheScript;

    TheScript.LoadScript(ScriptFileName);

    TheScript.DoScript();

    cout << endl << "- Fin -" << endl;
    //system("PAUSE");

    return 0;
}
// copy(.begin(),.end(), ostream_iterator< #TYPE# >(cout, " ") );
