// This file is part of the RecrutNid projet.
//
// (c) 2002, Free Software Foundation
//
// RecrutNid is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// RecrutNid is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with RecrutNid; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
// Petit programme de modlisation de la mobilisation chez la fourmi 
// Plus d'informations sur http://www.nojhan.fr.st/
// Auteur : Johann Dro <nojhan@ifrance.com>
// Date : 4 dcembre 2001
// version : 1.5

///////////////////////////  READER ///////////////////////////////



        // traite un fichier rsultat
        void Treat(string InFileName,
                   string OutFileName,
                   string Mode,
                   vector<string> Parameters);

        // transforme les paramtres en sous-ordres
        // renvoie vector< SubOrder >
        vector< vector<string> > DoParameters(vector<string> Parameters);


        // Extrait les donnes d'une variable du fichier
        // renvoie InMat : Turns/Ants ou Ants/Turns
        vector< vector<float> > ReadFile(ifstream &InFile,
                                         string Mode,
                                         vector<string> aSubOrder);

        // Calcul d'une sous-instruction
        // renvoie un vecteur rsultat
        vector<float> DoCalc(vector< vector<float> > InMat,
                             vector<string> aSubOrder);


