// This file is part of the RecrutNid projet.
//
// (c) 2002, Free Software Foundation
//
// RecrutNid is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// RecrutNid is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with RecrutNid; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
// Petit programme de modlisation de la mobilisation chez la fourmi 
// Plus d'informations sur http://www.nojhan.fr.st/
// Auteur : Johann Dro <nojhan@ifrance.com>
// Date : 4 dcembre 2001
// version : 1.5

///////////////////////////  SHOWER ///////////////////////////////
// Fonctions pour faire des cartes du nid


// construit une carte du nid
string MakeNestMap(float DimL, float DimC, vector<float> VecL, vector<float> VecC);

// crit les map  la suite du fichier de sortie
void WriteNestMaps(string OutFileName,
                   int DimL, int DimC,
                   vector< vector<float> > MatL, vector< vector<float> > MatC,
                   int SimDebut, int SimFin, int SimPas);

// lit et crit plusieurs cartes du nid  diffrents temps
void MakeShow(string InFileName, string OutFileName, vector<float> Values);

